> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User

> Get current user/key info

Get information about the currently authenticated user or API key. Returns different response schemas based on whether authenticated with a user account or API key.

### Response Types

**User Account Response:**

* User ID
* Account type
* Email
* Creation timestamp
* Last update timestamp

**API Key Response:**

* Key ID
* Key type
* Project ID
* Creation timestamp


## OpenAPI

````yaml GET /me
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /me:
    get:
      tags: []
      summary: Get Me
      description: Get current user/key info
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  type:
                    type: string
                  email:
                    type: string
                  created_at:
                    type: string
                  updated_at:
                    type: string
                required:
                  - id
                  - type
                  - email
                  - created_at
                  - updated_at
              examples:
                '1':
                  summary: Success
                  value:
                    id: 1125a742-2e75-4b1a-909a-e8ba86bcf862
                    type: user
                    email: info@mkinf.io
                    created_at: '2024-08-05T10:59:59.017229Z'
                    updated_at: '2024-09-09T22:26:58.615993Z'
          headers: {}
        x-200:OK:
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  type:
                    type: string
                  project_id:
                    type: string
                  created_at:
                    type: string
                required:
                  - id
                  - type
                  - project_id
                  - created_at
              examples:
                '1':
                  summary: Success
                  value:
                    id: 26496b9a-31fb-4f88-b9a8-a282509df5a7
                    type: key
                    project_id: e91bb876-3358-466d-a49a-4fb524629906
                    created_at: '2024-09-09T22:15:37.150307+00:00'
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````